import React from 'react'
import { View } from '@tarojs/components'
import './index.scss'

export default props => {
  return (
    <View className="x-divider" style={props.style}>
      <View className="x-divider__line">&nbsp;</View>
      <View className="x-divider__text">{props.children}</View>
      <View className="x-divider__line">&nbsp;</View>
    </View>
  )
}
