import React from 'react';
import Taro from '@tarojs/taro'
import { View, ScrollView } from '@tarojs/components'

const Layout = ({ children,type }) => {

  const navStyle =  Taro.getMenuButtonBoundingClientRect()

    return <ScrollView className='scrol' scrollY  style={type=='custom'?{height:`calc(100vh - 65px - ${navStyle.bottom}px - 10px)`}:undefined} >
        <View className='page-container' >
            {children}
        </View>
        {/* <View style={{height:'10rpx'}}></View> */}
    </ScrollView>
}


export default Layout;
